#1903 reopened enhancement

deprecate one of the synonyms "/file/" and "/named/" from the WAPI

Reported by: zooko Owned by: zooko
Priority: normal Milestone: 1.15.0
Component: code-frontend-web Version: 1.9.2
Keywords: usability wui wapi docs forward-compatibility Cc:
Launchpad Bug:

Description (last modified by daira)

webapi.rst says: "URLs may also use /file/$FILECAP/FILENAME as a synonym for /named/$FILECAP/FILENAME.". Why is that? Let's deprecate "/file/".

Change History (19)

comment:1 Changed at 2013-01-05T00:44:00Z by zooko

  • Summary changed from remove one of the synonyms "/file/" and "/named/" from the WAPI to deprecate one of the synonyms "/file/" and "/named/" from the WAPI

comment:2 Changed at 2013-01-05T03:31:08Z by davidsarah

  • Keywords reviewed added
  • Owner set to zooko

comment:3 Changed at 2013-01-05T03:34:32Z by davidsarah

Review comments on github. BTW, FileHandler in web/root.py should probably be renamed to NamedHandler and the error messages in it changed to reference /named, in that case.

Last edited at 2014-03-05T02:54:07Z by daira (previous) (diff)

comment:4 Changed at 2013-05-01T21:52:29Z by daira

src/allmydata/web/info.py#L143 and src/allmydata/web/directory.py (lines 733, 743, and 1042) use /file. Nothing currently uses /named.

Last edited at 2014-03-05T02:54:29Z by daira (previous) (diff)

comment:5 Changed at 2013-05-01T21:53:05Z by daira

  • Keywords easy reviewed removed

comment:6 Changed at 2013-05-07T20:30:44Z by zooko

In my opinion /named is a better word for this API than /file, since the difference between /file and /uri is not that the former is a file and the latter isn't.

comment:7 Changed at 2013-05-08T00:31:19Z by daira

OK, +1 for that pull request modulo https://github.com/tahoe-lafs/tahoe-lafs/pull/29#commitcomment-2387217, but let's also have a patch for comment:3, comment:4, and to change any uses of /file in tests to /named.

comment:8 Changed at 2013-11-10T15:50:10Z by zooko

  • Keywords forward-compatibility added

I'm adding the tag "forward-compatibility" because we want to ship a stable release with this deprecation in place before shipping a future stable release with the deprecated API removed.

comment:9 Changed at 2013-11-10T15:53:44Z by zooko

  • Status changed from new to assigned

comment:10 Changed at 2014-03-05T02:54:47Z by daira

  • Description modified (diff)

comment:11 follow-up: Changed at 2014-10-02T15:00:16Z by daira

I'm still not sure why we're deprecating "/file" which is used, rather than deprecating "/named" which is unused. (I value having fewer redundant options but I'm not sure it really matters what they are called.)

comment:12 in reply to: ↑ 11 Changed at 2014-10-03T15:33:13Z by zooko

Replying to daira:

I'm still not sure why we're deprecating "/file" which is used, rather than deprecating "/named" which is unused. (I value having fewer redundant options but I'm not sure it really matters what they are called.)

I wanted to move to "/named" because it explains what it actually does — it changes the name of the downloaded file. Calling this feature "/file" is confusing because it is still a file even if you don't use this feature.

comment:13 Changed at 2014-10-08T11:39:31Z by daira

OK, then this needs the changes in comment:7, which probably means that the deprecation isn't going to get into 1.11.

comment:14 Changed at 2016-04-23T02:28:27Z by Brian Warner <warner@…>

  • Resolution set to fixed
  • Status changed from assigned to closed

In 3e73461/trunk:

update webapi.rst's View/Download? File docs

  • mark "/file/" as a synonym for "/named/" to be deprecated (fixes #1903)
  • move the options common to all three forms to the bottom and dedent them
  • name the protocol/format as "LAFS" and the implementation/client "Tahoe"
  • reflow (with fill-column 77)

comment:15 Changed at 2016-04-23T02:28:29Z by Brian Warner <warner@…>

In afb7718/trunk:

Merge PR #29 from zooko:1903-deprecate-synonymous-file-and-update-docs

refs ticket:1903

comment:16 Changed at 2016-04-23T02:35:07Z by warner

  • Resolution fixed deleted
  • Status changed from closed to reopened

Oops, I didn't notice the commit's auto-closing comment. I didn't mean to mark this one fixed yet.. I just wanted to land some old PRs.

To resolve this ticket, I think we need more changes (stop using /file, etc).

comment:17 Changed at 2016-04-25T16:23:47Z by daira

  • Milestone changed from undecided to 1.12.0
  • Priority changed from minor to normal

comment:18 Changed at 2016-06-28T18:20:37Z by warner

  • Milestone changed from 1.12.0 to 1.13.0

moving most tickets from 1.12 to 1.13 so we can release 1.12 with magic-folders

comment:19 Changed at 2020-06-30T14:45:13Z by exarkun

  • Milestone changed from 1.13.0 to 1.15.0

Moving open issues out of closed milestones.

Note: See TracTickets for help on using tickets.